## org.eclipse.emf.common.notify
Class NotificationWrapper

    java.lang.Object
      org.eclipse.emf.common.notify.NotificationWrapper

All Implemented Interfaces:
  Notification

Direct Known Subclasses:
  ViewerNotification

    public class NotificationWrapper

extends java.lang.Object
implements Notification

A notification that wraps another notification. All the `Notification` methods are delegated to the wrapped notification.

Field Summary
`protected Notification` `notification` The notification that is being wrapped.
`protected java.lang.Object` `notifier` An optional override value for the notification's notifier.

Fields inherited from interface org.eclipse.emf.common.notify.Notification
`ADD, ADD_MANY, CREATE, EVENT_TYPE_COUNT, MOVE, NO_FEATURE_ID, NO_INDEX, REMOVE, REMOVE_MANY, REMOVING_ADAPTER, RESOLVE, SET, UNSET`

Constructor Summary
`NotificationWrapper(Notification notification)` Create an instance with the specified notification.
`NotificationWrapper(java.lang.Object notifier, Notification notification)` Create an instance with the specified notifier and notification.

Method Summary
`int` `getEventType()` Delegates to the getEventType method of the notification.
`java.lang.Object` `getFeature()` Delegates to the getFeature method of the notification.
`int` `getFeatureID(java.lang.Class<?> expectedClass)` Delegates to the getFeatureID method of the notification.
`boolean` `getNewBooleanValue()` Delegates to the getNewBooleanValue method of the notification.
`byte` `getNewByteValue()` Delegates to the getNewByteValue method of the notification.
`char` `getNewCharValue()` Delegates to the getNewCharValue method of the notification.
`double` `getNewDoubleValue()` Delegates to the getNewDoubleValue method of the notification.
`float` `getNewFloatValue()` Delegates to the getNewFloatValue method of the notification.
`int` `getNewIntValue()` Delegates to the getNewIntValue method of the notification.
`long` `getNewLongValue()` Delegates to the getNewLongValue method of the notification.
`short` `getNewShortValue()` Delegates to the getNewShortValue method of the notification.
`java.lang.String` `getNewStringValue()` Delegates to the getNewStringValue method of the notification.
`java.lang.Object` `getNewValue()` Delegates to the getNewValue method of the notification.
`java.lang.Object` `getNotifier()` Returns the local notifier if set; otherwise delegates to the getNotifier method of the notification.
`boolean` `getOldBooleanValue()` Delegates to the getOldBooleanValue method of the notification.
`byte` `getOldByteValue()` Delegates to the getOldByteValue method of the notification.
`char` `getOldCharValue()` Delegates to the getOldCharValue method of the notification.
`double` `getOldDoubleValue()` Delegates to the getOldDoubleValue method of the notification.
`float` `getOldFloatValue()` Delegates to the getOldFloatValue method of the notification.
`int` `getOldIntValue()` Delegates to the getOldIntValue method of the notification.
`long` `getOldLongValue()` Delegates to the getOldLongValue method of the notification.
`short` `getOldShortValue()` Delegates to the getOldShortValue method of the notification.
`java.lang.String` `getOldStringValue()` Delegates to the getOldStringValue method of the notification.
`java.lang.Object` `getOldValue()` Delegates to the getOldValue method of the notification.
`int` `getPosition()` Delegates to the getPosition method of the notification.
`boolean` `isReset()` Delegates to the isReset method of the notification.
`boolean` `isTouch()` Delegates to the isTouch method of the notification.
`boolean` `merge(Notification notification)` Delegates to the merge method of the notification.
`boolean` `wasSet()` Delegates to the wasSet method of the notification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### notification

    protected Notification notification

  The notification that is being wrapped.

### notifier

    protected java.lang.Object notifier

  An optional override value for the notification's notifier.

Constructor Detail

### NotificationWrapper

    public NotificationWrapper(Notification notification)

  Create an instance with the specified notification.

### NotificationWrapper

    public NotificationWrapper(java.lang.Object notifier,
                               Notification notification)

  Create an instance with the specified notifier and notification.

Method Detail

### getNotifier

    public java.lang.Object getNotifier()

  Returns the local notifier if set; otherwise delegates to the getNotifier method of the notification.

  Specified by:
    `getNotifier` in interface `Notification`
  Returns:
    the notifier.

### getEventType

    public int getEventType()

  Delegates to the getEventType method of the notification.

  Specified by:
    `getEventType` in interface `Notification`
  Returns:
    the eventType.
  See Also:
    `Notifier`

### getFeatureID

    public int getFeatureID(java.lang.Class<?> expectedClass)

  Delegates to the getFeatureID method of the notification.

  Specified by:
    `getFeatureID` in interface `Notification`
  Parameters:
    `expectedClass` - the class to which the ID is relative.
  Returns:
    the featureID.
  See Also:
    `Notification.NO_FEATURE_ID`

### getFeature

    public java.lang.Object getFeature()

  Delegates to the getFeature method of the notification.

  Specified by:
    `getFeature` in interface `Notification`
  Returns:
    the feature.

### getOldValue

    public java.lang.Object getOldValue()

  Delegates to the getOldValue method of the notification.

  Specified by:
    `getOldValue` in interface `Notification`
  Returns:
    the oldValue.

### getNewValue

    public java.lang.Object getNewValue()

  Delegates to the getNewValue method of the notification.

  Specified by:
    `getNewValue` in interface `Notification`
  Returns:
    the newValue.

### wasSet

    public boolean wasSet()

  Delegates to the wasSet method of the notification.

  Specified by:
    `wasSet` in interface `Notification`
  Returns:
    the wasSet result.

### isTouch

    public boolean isTouch()

  Delegates to the isTouch method of the notification.

  Specified by:
    `isTouch` in interface `Notification`
  Returns:
    the isTouch result.

### isReset

    public boolean isReset()

  Delegates to the isReset method of the notification.

  Specified by:
    `isReset` in interface `Notification`
  Returns:
    the isReset result.

### getPosition

    public int getPosition()

  Delegates to the getPosition method of the notification.

  Specified by:
    `getPosition` in interface `Notification`
  Returns:
    the position.

### merge

    public boolean merge(Notification notification)

  Delegates to the merge method of the notification.

  Specified by:
    `merge` in interface `Notification`
  Returns:
    the merge result.

### getOldBooleanValue

    public boolean getOldBooleanValue()

  Delegates to the getOldBooleanValue method of the notification.

  Specified by:
    `getOldBooleanValue` in interface `Notification`
  Returns:
    the oldBooleanValue.

### getNewBooleanValue

    public boolean getNewBooleanValue()

  Delegates to the getNewBooleanValue method of the notification.

  Specified by:
    `getNewBooleanValue` in interface `Notification`
  Returns:
    the newBooleanValue.

### getOldByteValue

    public byte getOldByteValue()

  Delegates to the getOldByteValue method of the notification.

  Specified by:
    `getOldByteValue` in interface `Notification`
  Returns:
    the oldByteValue.

### getNewByteValue

    public byte getNewByteValue()

  Delegates to the getNewByteValue method of the notification.

  Specified by:
    `getNewByteValue` in interface `Notification`
  Returns:
    the newByteValue.

### getOldCharValue

    public char getOldCharValue()

  Delegates to the getOldCharValue method of the notification.

  Specified by:
    `getOldCharValue` in interface `Notification`
  Returns:
    the oldCharValue.

### getNewCharValue

    public char getNewCharValue()

  Delegates to the getNewCharValue method of the notification.

  Specified by:
    `getNewCharValue` in interface `Notification`
  Returns:
    the newCharValue.

### getOldDoubleValue

    public double getOldDoubleValue()

  Delegates to the getOldDoubleValue method of the notification.

  Specified by:
    `getOldDoubleValue` in interface `Notification`
  Returns:
    the oldDoubleValue.

### getNewDoubleValue

    public double getNewDoubleValue()

  Delegates to the getNewDoubleValue method of the notification.

  Specified by:
    `getNewDoubleValue` in interface `Notification`
  Returns:
    the newDoubleValue.

### getOldFloatValue

    public float getOldFloatValue()

  Delegates to the getOldFloatValue method of the notification.

  Specified by:
    `getOldFloatValue` in interface `Notification`
  Returns:
    the oldFloatValue.

### getNewFloatValue

    public float getNewFloatValue()

  Delegates to the getNewFloatValue method of the notification.

  Specified by:
    `getNewFloatValue` in interface `Notification`
  Returns:
    the newFloatValue.

### getOldIntValue

    public int getOldIntValue()

  Delegates to the getOldIntValue method of the notification.

  Specified by:
    `getOldIntValue` in interface `Notification`
  Returns:
    the oldIntValue.

### getNewIntValue

    public int getNewIntValue()

  Delegates to the getNewIntValue method of the notification.

  Specified by:
    `getNewIntValue` in interface `Notification`
  Returns:
    the newIntValue.

### getOldLongValue

    public long getOldLongValue()

  Delegates to the getOldLongValue method of the notification.

  Specified by:
    `getOldLongValue` in interface `Notification`
  Returns:
    the oldLongValue.

### getNewLongValue

    public long getNewLongValue()

  Delegates to the getNewLongValue method of the notification.

  Specified by:
    `getNewLongValue` in interface `Notification`
  Returns:
    the newLongValue.

### getOldShortValue

    public short getOldShortValue()

  Delegates to the getOldShortValue method of the notification.

  Specified by:
    `getOldShortValue` in interface `Notification`
  Returns:
    the oldShortValue.

### getNewShortValue

    public short getNewShortValue()

  Delegates to the getNewShortValue method of the notification.

  Specified by:
    `getNewShortValue` in interface `Notification`
  Returns:
    the newShortValue.

### getOldStringValue

    public java.lang.String getOldStringValue()

  Delegates to the getOldStringValue method of the notification.

  Specified by:
    `getOldStringValue` in interface `Notification`
  Returns:
    the oldStringValue.

### getNewStringValue

    public java.lang.String getNewStringValue()

  Delegates to the getNewStringValue method of the notification.

  Specified by:
    `getNewStringValue` in interface `Notification`
  Returns:
    the newStringValue.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.